Hello Codeforces,
I would like to invite you all to participate in the 2018 JUST Collegiate Programming Contest. The contest was originally held on 31st of March, and it will launch in Codeforces Gym on Saturday 28 July 2018 10:00 UTC.
The problems were prepared by justHusam (Husam Musleh), Lvitsa (Αlαα Abu Hantash), and Roze (Nada Al-Shamayleh).
Thanks to Dark (Hamza Zagha), Ptrq (Mohammad Dehayat), and AbedAbuhijleh (Abed Abu-Hijleh) for testing the problem set.
The duration of the contest is 4 hours, and the registration will be open 6 hours before the start of the contest.
Good luck to everyone, and I wish you all accepted solutions.
UPD: Registration is currently open.
The difficulity of problems is Div.3 or Div.2???
div 2 + div 3
How to solve problem G-Hard Equation ?
In problem G, you are required to solve the Discrete Logarithm Problem. You can use the Baby-step giant-step algorithm to solve the problem.
How can we calculate modular inverse since it is not necessary that a and m are co-prime.
I'm not sure why computing the inverse step is mentioned in Wikipedia, but it is not necessary. Check this tutorial from GeeksforGeeks.
The tutorial on GeeksforGeeks also only work when a and m are coprime. Otherwise, the expression is not always true, for example with a = 4, b = 1, m = 10, i = 2, j = 4.
I don't know what to do next from here. Any suggestion?
Any updates regarding how to solve this?
Is there an editorial?
I'm not sure if I'll be able to write a tutorial, but I'll do my best.
good
how to solve problem E. Maximum Sum ?
You can solve it using dynamic programming. Think of it as if you want to calculate the answer of the of row i, then you only care about which cells you have chosen in the row i - 1. Or you can think if you want to choose cell (x, y), then you only need to check if you have chosen cells (x, y - 1), (x - 1, y - 1), (x - 1, y), and (x - 1, y + 1).
thanks!
Sir, can you provide more detailed editorial or a code for solution to this problem. It will be helpful in learning it more deeply.
What testcase was added to B after the contest?
A contestant sent me a message with a test case that can break some accepted solutions after the contest has ended, so I updated the test cases. I prefer not to tell you about the test case so you can discover your mistake by yourself =D.
how to solve problem A?
what is the solution for I circles?? its giving tle in test 2
make sure you are using fast I/O, because time limit is very tight if you are using cin with doubles or just take the input as integers not doubles.
I used fast io bt used doubles.. Will check for integers.. Thanks
any hint for C. intersections??
you can use reverse order to solve the problem
能详细说一些吗
Can the administrator please open the solution of all users??
I am agree with you sir!!! Please open solutions as sir demanded.
There are some greedy solutions that do pass on problem B. Check this testcase:
Solution is 2.
In the question it is given that all triplets are co-primes but 2,10 and 14 are not co-primes.
Right sorry but look at this case:
Solution is also 2 (pair 10 with 55 and 21 with 6), but wrong greedys will pair 10 with 6, and the 21 can't be paired with 55.
Some codes that fail this testcase:
code 1
code 2
code 3
code 4
https://paste.ubuntu.com/p/77VbmCM8Tg/ can someone say what is wrong with my code? it's the solution for the k problem.
How to solve C intersection?